using System;
using System.Threading.Tasks;

namespace Knoks.Framework.DataAccess
{
    public interface IProcExecutor
    {
        Task<DataResult> Go(string procName, params object[] procParams);
        Task<DataResult> Go(string databaseName, string procName, params object[] procParams);
    }

    public class ProcParamIgnoreAttribute : Attribute { }
}
